[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TCheckConstraints.Create

Create a new instance of the TCheckConstraints class.

## Declaration

Source position: db.pas line 1056

`public constructor TCheckConstraints.Create(`
`AOwner: TPersistent`
`);`

## Arguments

`AOwner` |  | Owner for the collection

## Description

Create initializes a new instance of the TCheckConstraints class. The AOwner argument is usually the TDataset instance for which the data is managed. It is kept for future reference. After storing the owner, the inherited constructor is called with the TCheckConstraint class pointer.

## See also

TCheckConstraint |  | Record-level constraint definition
TDataset |  | Base class for records-based data-access

Documentation generated on: Feb 26 2014